## org.apache.batik.css.parser
Class DefaultLangCondition

    java.lang.Object
      org.apache.batik.css.parser.DefaultLangCondition

All Implemented Interfaces:
  Condition, LangCondition

public class DefaultLangCondition
extends java.lang.Object
implements LangCondition

This class provides an implementation of the `LangCondition` interface.

Field Summary
`protected java.lang.String` `lang` The language.

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`DefaultLangCondition(java.lang.String lang)` Creates a new LangCondition object.

Method Summary
`short` `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`java.lang.String` `getLang()` SAC: Implements `LangCondition.getLang()`.
`java.lang.String` `toString()` Returns a text representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lang

    protected java.lang.String lang

  The language.

Constructor Detail

### DefaultLangCondition

    public DefaultLangCondition(java.lang.String lang)

  Creates a new LangCondition object.

Method Detail

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

  Specified by:
    `getConditionType` in interface `Condition`

### getLang

    public java.lang.String getLang()

  SAC: Implements `LangCondition.getLang()`.

  Specified by:
    `getLang` in interface `LangCondition`

### toString

    public java.lang.String toString()

  Returns a text representation of this object.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.